Subject: Re: bug#34110: feature request: dual-column du output, showing "real" and "on-disk" sizes (and about that "apparent-size" concept)

From: Paul Eggert <[email-masked]>
Date: Tue, 22 Jan 2019 15:20:43 -0800

On 1/22/19 2:40 PM, Bernhard Voelker wrote:
> This sounds to me as if you wanted 'du' to read() the content of each file
> to get the 'correct' statistics.  That is more in the domain of wc(1).

du already has an --apparent-size option that gives the same size that 
'read' would give. As I understand it, this part of the request was to 
change the (arguably confusing) name of this option to a different (and 
also arguably confusing :-) name. As the option name has been that way 
for quite some time and the proposed name is not that much less 
confusing than the old, I think we'll stand pat.